Package org.apache.qpid.proton.codec

# Class Decimal64Type

java.lang.Object
org.apache.qpid.proton.codec.Decimal64Type

All Implemented Interfaces:
  `AMQPType<Decimal64>`, `PrimitiveType<Decimal64>`

public class Decimal64Type extends Object

## Method Summary

Modifier and Type
Method
Description
`Collection<org.apache.qpid.proton.codec.Decimal64Type.Decimal64Encoding>`
`getAllEncodings()`
`org.apache.qpid.proton.codec.Decimal64Type.Decimal64Encoding`
`getCanonicalEncoding()`
`org.apache.qpid.proton.codec.Decimal64Type.Decimal64Encoding`
`getEncoding(Decimal64 val)`
`Class<Decimal64>`
`getTypeClass()`
`final void`
`write(Decimal64 val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<Decimal64> getTypeClass()

### getEncoding

public org.apache.qpid.proton.codec.Decimal64Type.Decimal64Encoding getEncoding(Decimal64 val)

### getCanonicalEncoding

public org.apache.qpid.proton.codec.Decimal64Type.Decimal64Encoding getCanonicalEncoding()

### getAllEncodings

public Collection<org.apache.qpid.proton.codec.Decimal64Type.Decimal64Encoding> getAllEncodings()

### write

public final void write(Decimal64 val)

Specified by:
  `write` in interface `AMQPType<T>`